Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.router.networkdb.kademlia
Class XORComparator

    java.lang.Object
      net.i2p.router.networkdb.kademlia.XORComparator

All Implemented Interfaces:
  Comparator

     class XORComparator

extends Object
implements Comparator

Help sort Hashes in relation to a base key using the XOR metric

Constructor Summary
`XORComparator(Hash target)`

Method Summary
`int` | `compare(Object lhs, Object rhs)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### XORComparator

    public XORComparator(Hash target)

Parameters:
  `target` - key to compare distances with

Method Detail

### compare

    public int compare(Object lhs,
                       Object rhs)

  Specified by:
    `compare` in interface `Comparator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD